Debian Bug report logs - #645305
zfsutils dependencies break ABI and aren't properly versioned

version graph

Package: src:zfsutils; Maintainer for src:zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Arno Töll <debian@toell.net>

Date: Fri, 14 Oct 2011 09:18:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version zfsutils/8.1-4+squeeze1

Fixed in version zfsutils/8.3~svn226546-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645305; Package src:zfsutils. (Fri, 14 Oct 2011 09:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 14 Oct 2011 09:18:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zfsutils dependencies break ABI and aren't properly versioned
Date: Fri, 14 Oct 2011 11:13:52 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: src:zfsutils
Version: 8.1-4+squeeze1
Severity: serious
Justification: breaks upgrades, does not declare dependencies properly


Out of the zfsutils package are being built several shared libraries.
These do not bump any SONAME version or provide a symbols file. Hence,
shlibs generates zfsutils dependencies unversioned:

Depends: libbsd0 (>= 0.0), libc0.1 (>= 2.4), libgeom1 (>= 7.0),
libnvpair0, libumem0, libuutil0, libzfs0, libzpool0, zlib1g (>= 1:1.1.4)

That implies that zfsutils would work with any version of libnvpair0,
libumem0, libuutil0, libzfs0, libzpool0 installed. That is, however not
true. Upgrading zfsutils from 8.1 (Squeeze) to 8.2 (Wheezy) or any later
version breaks ABIs but does not pull appropriate dependencies.

Thus, users which do not do a full upgrade are left with broken zfsutils:

root@kfreebsd-test2:~# ldd /sbin/zfs
        libzfs.so.0 => /lib/libzfs.so.0 (0x0000000801242000)
        libgeom.so.0 => /lib/libgeom.so.0 (0x0000000801479000)
        libnvpair.so.0 => /lib/libnvpair.so.0 (0x000000080167e000)
        libuutil.so.0 => /lib/libuutil.so.0 (0x0000000801888000)
        libc.so.0.1 => /lib/libc.so.0.1 (0x0000000801a92000)
        libbsd.so.0 => /lib/libbsd.so.0 (0x0000000801dd6000)
        libm.so.1 => /lib/libm.so.1 (0x0000000801fe0000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0x0000000802262000)
        libsbuf.so.0 => /lib/libsbuf.so.0 (0x000000080248b000)
        librt.so.1 => /lib/librt.so.1 (0x000000080268d000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00000008028a2000)
        /lib/ld-kfreebsd-x86-64.so.1 => /lib64/ld-kfreebsd-x86-64.so.1
(0x0000000001021000)


root@kfreebsd-test2:~# objdump -x /lib/libzfs.so.0

/lib/libzfs.so.0:     file format elf64-x86-64-freebsd
/lib/libzfs.so.0
architecture: i386:x86-64, flags 0x00000150:
HAS_SYMS, DYNAMIC, D_PAGED
start address 0x00000000000098c0


Dynamic Section:
  SONAME               libzfs.so.0
...
  VERNEED              0x0000000000005aa0
  VERNEEDNUM           0x0000000000000003
  VERSYM               0x0000000000005742
  RELACOUNT            0x0000000000000069


note: no version definitions.
Next, let's upgrade zfsutils:


root@kfreebsd-test2:~# apt-get install zfsutils
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libbsd0 libgeom1 libumem0 libzpool0
The following NEW packages will be installed:
  libgeom1 libumem0 libzpool0
The following packages will be upgraded:
  libbsd0 zfsutils
2 upgraded, 3 newly installed, 0 to remove and 140 not upgraded.
Need to get 653 kB of archives.
...
(Reading database ... 12078 files and directories currently installed.)
Preparing to replace libbsd0 0.2.0-1 (using
.../libbsd0_0.3.0-1_kfreebsd-amd64.deb) ...
Unpacking replacement libbsd0 ...
Setting up libbsd0 (0.3.0-1) ...
Selecting previously deselected package libgeom1.
(Reading database ... 12078 files and directories currently installed.)
Unpacking libgeom1 (from .../libgeom1_8.2+ds1-4_kfreebsd-amd64.deb) ...
Selecting previously deselected package libumem0.
Unpacking libumem0 (from .../libumem0_8.2-4_kfreebsd-amd64.deb) ...
Selecting previously deselected package libzpool0.
Unpacking libzpool0 (from .../libzpool0_8.2-4_kfreebsd-amd64.deb) ...
Preparing to replace zfsutils 8.1-4+squeeze1 (using
.../zfsutils_8.2-4_kfreebsd-amd64.deb) ...
Unpacking replacement zfsutils ...
Processing triggers for man-db ...
Setting up libgeom1 (8.2+ds1-4) ...
Setting up libumem0 (8.2-4) ...
Setting up libzpool0 (8.2-4) ...
Setting up zfsutils (8.2-4) ...
Installing new version of config file /etc/init.d/zfs ...
Starting ZFS subsystem... zvol swapzfs: symbol lookup error: zfs:
undefined symbol: libzfs_mnttab_cache
 filesystemszfs: symbol lookup error: zfs: undefined symbol:
libzfs_mnttab_cache
 failed!
invoke-rc.d: initscript zfs, action "start" failed.
dpkg: error processing zfsutils (--configure):
 subprocess installed post-installation script returned error exit
status 127
configured to not write apport reports
                                      Errors were encountered while
processing:
 zfsutils
E: Sub-process /usr/bin/dpkg returned an error code (1)


Problem is,

root@kfreebsd-test2:~# zfs list
zfs: symbol lookup error: zfs: undefined symbol: libzfs_mnttab_cache

This symbol is defined in libzfs built from the zfsutils 8.2 source
package though:

root@kfreebsd-test2:~# apt-get install libzfs0
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  libzfs0
1 upgraded, 0 newly installed, 0 to remove and 139 not upgraded.
1 not fully installed or removed.
Need to get 105 kB of archives.
After this operation, 13.3 kB disk space will be freed.
Get:1 http://ftp.de.debian.org/debian/ wheezy/main libzfs0
kfreebsd-amd64 8.2-4 [105 kB]
Fetched 105 kB in 0s (256 kB/s)
(Reading database ... 12094 files and directories currently installed.)
Preparing to replace libzfs0 8.1-4+squeeze1 (using
.../libzfs0_8.2-4_kfreebsd-amd64.deb) ...
Unpacking replacement libzfs0 ...
Setting up libzfs0 (8.2-4) ...
Setting up zfsutils (8.2-4) ...
Starting ZFS subsystem... zvol swap filesystems.

root@kfreebsd-test2:~# zfs list
no datasets available

Please either:

a) consider these libraries private and install them bundled with
zfsutils to a private location
b) link them statically (most do not have any external dependencies,
questions remain how useful they are outside of zfsutils itself)
c) properly use SONAME versions and bump package names when needed

more discussion on [1].

[1] http://lists.debian.org/debian-bsd/2011/10/msg00137.html
- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOl/1QAAoJEMcrUe6dgPNt+lAQAMB+spccRl3pxLCuvQcx/TZL
L7Jp7UKgd7QSsObaYwoudXmO6xVFa0Pkd/t4dS1X+d9BLjr+UOKqkQq131LAr7aG
WYoF12TCv5cCiLM88ZujGo1g79k/xY30o0NeDc1hTPFM/EvkL1yZ0KOady+05G5O
mDlXJrWgrHGchntK1mrS6xhrh1XybHA3aWHle3L02sJHBabu719pZ5rIMqhbnRHl
Tn+WLhTes2mqlqjrHu/Zzz2Rp5HY3YF10j3UvuJ8uZZsUPWZli+hOex/dFQfX6K7
fCvJ6XuqMXWikeEb5DwrYIXcaKTXU86aqjDajM4l5QIrSaj+gdHeyge3nQESo4iz
4QCCL8eQ1cshNUCEp6UQx3IVrX9E8JHjN0RncxLB39u8R5uXckEAmBk353c0HMkh
DT9lKfF8nqD0gfjyVFM1nVY5hl73+oGcVyrLtolzBT5EgqhckPOzZiQuV8siWM2k
ExeyxZDfpLhbjWsmQTAzBYzYuLsNIPd9I4ZGqkseQYBzC6NXcz5kZrc+U0jH3Uy7
u1LkseTSvUMMk281/PGBcUoF0lASIOA8QGUoMqTbFxlXNBQ8zQ1q52/7M5nLwzPX
9N5egvyJEQM5DOJLuWBgJgUbc7ktQfaUOGhkwdxBqe+yuGi2nRnEIDfBhDnm/9Ua
mPsEDztR2Y2vxmAaeohH
=j0sS
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645305; Package src:zfsutils. (Sat, 15 Oct 2011 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 15 Oct 2011 16:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 645305@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Arno Töll <debian@toell.net>
Cc: debian-bsd@lists.debian.org, 645305@bugs.debian.org
Subject: Re: Please test zfsutils 9.0~svn226163-1
Date: Sat, 15 Oct 2011 18:51:38 +0200
2011/10/10 Arno Töll <debian@toell.net>:
> libnvpair0
>  Reverse Depends: grub-common (1.99-12)
>  Reverse Depends: grub-emu (1.99-12)
>  Reverse Depends: grub-pc-bin (1.99-12)

The GRUB dependency can be avoided.  This would provide a solution to #645305.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645305; Package src:zfsutils. (Sat, 15 Oct 2011 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@gnu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 15 Oct 2011 17:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 645305@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@gnu.org>
To: The development of GNU GRUB <grub-devel@gnu.org>
Cc: Arno Töll <debian@toell.net>, Zachary Bedell <pendorbound@gmail.com>
Subject: Re: getroot for ZFS without libzfs?
Date: Sat, 15 Oct 2011 18:59:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

Please test / comment on proof-of-concept attached patch, it gets rid
of libzfs dependency in GRUB.

The approach is to implement a disk abstraction, like LVM does, but in
this case a very simple one (passthrough).  Then grub-probe et al can
obtain their information from this abstraction layer like they
currently do with LVM or mdRAID, but they don't need the device node
list anymore (since it's filled with a full scan, as with LVM).

-- 
Robert Millan
[zfs.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 27 Oct 2011 23:45:03 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 28 Oct 2011 10:51:52 GMT) Full text and rfc822 format available.

Notification sent to Arno Töll <debian@toell.net>:
Bug acknowledged by developer. (Fri, 28 Oct 2011 10:51:53 GMT) Full text and rfc822 format available.

Message #22 received at 645305-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 645305-close@bugs.debian.org
Subject: Bug#645305: fixed in zfsutils 8.3~svn226546-1
Date: Fri, 28 Oct 2011 10:47:53 +0000
Source: zfsutils
Source-Version: 8.3~svn226546-1

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair-dev_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libnvpair-dev_8.3~svn226546-1_kfreebsd-i386.deb
libnvpair1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
  to main/z/zfsutils/libnvpair1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
libnvpair1_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libnvpair1_8.3~svn226546-1_kfreebsd-i386.deb
libumem-dev_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libumem-dev_8.3~svn226546-1_kfreebsd-i386.deb
libumem1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
  to main/z/zfsutils/libumem1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
libumem1_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libumem1_8.3~svn226546-1_kfreebsd-i386.deb
libuutil-dev_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libuutil-dev_8.3~svn226546-1_kfreebsd-i386.deb
libuutil1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
  to main/z/zfsutils/libuutil1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
libuutil1_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libuutil1_8.3~svn226546-1_kfreebsd-i386.deb
libzfs-dev_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libzfs-dev_8.3~svn226546-1_kfreebsd-i386.deb
libzfs1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
  to main/z/zfsutils/libzfs1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
libzfs1_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libzfs1_8.3~svn226546-1_kfreebsd-i386.deb
libzpool-dev_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libzpool-dev_8.3~svn226546-1_kfreebsd-i386.deb
libzpool1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
  to main/z/zfsutils/libzpool1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
libzpool1_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/libzpool1_8.3~svn226546-1_kfreebsd-i386.deb
zfsutils-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
  to main/z/zfsutils/zfsutils-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
zfsutils_8.3~svn226546-1.debian.tar.gz
  to main/z/zfsutils/zfsutils_8.3~svn226546-1.debian.tar.gz
zfsutils_8.3~svn226546-1.dsc
  to main/z/zfsutils/zfsutils_8.3~svn226546-1.dsc
zfsutils_8.3~svn226546-1_kfreebsd-i386.deb
  to main/z/zfsutils/zfsutils_8.3~svn226546-1_kfreebsd-i386.deb
zfsutils_8.3~svn226546.orig.tar.gz
  to main/z/zfsutils/zfsutils_8.3~svn226546.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645305@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 28 Oct 2011 01:41:03 +0200
Source: zfsutils
Binary: libuutil1 libuutil-dev libuutil1-udeb libnvpair1 libnvpair-dev libnvpair1-udeb libzfs1 libzfs-dev libzfs1-udeb zfsutils zfsutils-udeb libumem1 libumem-dev libumem1-udeb libzpool1 libzpool-dev libzpool1-udeb
Architecture: source kfreebsd-i386
Version: 8.3~svn226546-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libnvpair-dev - Development files for libnvpair
 libnvpair1 - OpenSolaris name-value pair library
 libnvpair1-udeb - OpenSolaris name-value pair library (udeb version) (udeb)
 libumem-dev - Development files for libnvpair
 libumem1   - OpenSolaris name-value pair library
 libumem1-udeb - OpenSolaris name-value pair library (udeb)
 libuutil-dev - Development files for libuutil
 libuutil1  - OpenSolaris userland utility library
 libuutil1-udeb - OpenSolaris userland utility library (udeb)
 libzfs-dev - Development files for libzfs
 libzfs1    - OpenSolaris ZFS library
 libzfs1-udeb - OpenSolaris ZFS library (udeb version) (udeb)
 libzpool-dev - Development files for libnvpair
 libzpool1  - OpenSolaris name-value pair library
 libzpool1-udeb - OpenSolaris name-value pair library (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (udeb version) (udeb)
Closes: 645305
Changes: 
 zfsutils (8.3~svn226546-1) experimental; urgency=low
 .
   [ Arno Töll ]
   [ Robert Millan ]
   * New upstream snapshot, based on the FreeBSD 8-STABLE tree which supports
     ZFS version 28 now.
   * Refresh patches, leave hunks unchanged where possible. Additionally:
     + 04_stdint.diff: Extend inclusion of stdint.h to several new files
     + 05_makefile.diff: Split into gratuitous_dependencies.diff (which is
       upstream-mergeable) and makefile.diff (which is Debian-specific)
     + Remove 10_zpool_import.diff entirely (see kern/150207)
     + Add 15_pthread_compat.diff: Work around compatibility issues with eglibc
     + Remove 15_ztest.fix entirely
     + 16-wrap-cdefs.diff: Work around the unavailability of cdefs.h
   * debian/rules:
     + Rework get-orig-source target, add new origin paths where needed.
   * Remove the zfs volinit/volfini commands from the init script as they are
     not available anymore; also stop on runlevel 1.
   * Fix manpage hyphens and convert into spaces.
   * Improve package descriptions.
   * Add Breaks on GRUB versions that don't support ZFS v28.  Also improve
     documentation of this issue in 14_bootloader_advice.diff.
   * Link libmd statically untill a proper libmd package is available.
   * Soname bump.  (Closes: #645305)
Checksums-Sha1: 
 a55f07943600dff88d667af16d1a6cd42a5937ef 2275 zfsutils_8.3~svn226546-1.dsc
 51dfb5aa73138f4a50b6300f9627784bd74b557d 1632942 zfsutils_8.3~svn226546.orig.tar.gz
 c25796a827545cc8c9dedf0ae90a7461a74a8030 55426 zfsutils_8.3~svn226546-1.debian.tar.gz
 31848e3a1e92dc3986b312cef9fd160b338147b3 31060 libuutil1_8.3~svn226546-1_kfreebsd-i386.deb
 b2e70e2af7b01bf11677ec1509a3f7a7ef2e037a 31380 libuutil-dev_8.3~svn226546-1_kfreebsd-i386.deb
 b7e758d25ccbe1f00823bbcfa033480b56547ff5 18390 libuutil1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 5da520ace807cd884090f4a1229263835ff01347 36530 libnvpair1_8.3~svn226546-1_kfreebsd-i386.deb
 719b31e255595355969733fe16029c6bc52657b1 37348 libnvpair-dev_8.3~svn226546-1_kfreebsd-i386.deb
 45d826c148950439c82788c9f16d237763696131 24106 libnvpair1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 5fe3a3bf9cd9230b03f4e13fa8ac438497d3a0d8 140090 libzfs1_8.3~svn226546-1_kfreebsd-i386.deb
 dbfc806235a3d399500834204b3e8d8a38a867c5 171188 libzfs-dev_8.3~svn226546-1_kfreebsd-i386.deb
 0733bf7b41ba737c44c2d04453588d255584484b 127446 libzfs1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 f67aefa8ff65812a46438b681868b325889f79a1 236274 zfsutils_8.3~svn226546-1_kfreebsd-i386.deb
 e58115b31a5617b90c2b9d3d90df54a2df89f27e 80590 zfsutils-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 b4f68aa36034221b3d4d522c116db894c993031b 15560 libumem1_8.3~svn226546-1_kfreebsd-i386.deb
 8ea24290c72af0e8517f1c4fd3ccf8161a692913 14766 libumem-dev_8.3~svn226546-1_kfreebsd-i386.deb
 28e2d741609356ec8bae8d29bcbfd0b08f1dd58b 3116 libumem1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 c7f14d83b457364559bbb5594d43ed65978d3fd9 555920 libzpool1_8.3~svn226546-1_kfreebsd-i386.deb
 3947b2346cba9a31977eef4a65b647554ff1385c 680864 libzpool-dev_8.3~svn226546-1_kfreebsd-i386.deb
 cf04f0a4abb7e596009bf1630e45e9f92f1b9b02 543544 libzpool1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
Checksums-Sha256: 
 ad351daf3037be6f325fa92155f770303f64737c5256238a8d20f3dd4ced15f8 2275 zfsutils_8.3~svn226546-1.dsc
 a28dbc95d464d2f4a047b4f63ade405666623a5f88b769f2416267e409899099 1632942 zfsutils_8.3~svn226546.orig.tar.gz
 31d70acb0ab41f406936825fd239a16707ceafeead7bf3b7eae033cb5d5fc9cb 55426 zfsutils_8.3~svn226546-1.debian.tar.gz
 483a262589bd6345e4aae2d9e6d087af2ae91fdf8059b63d59fa70291333e627 31060 libuutil1_8.3~svn226546-1_kfreebsd-i386.deb
 8426dd51fe754413f0c0eaf4233339e9ab92735c8cbb4b19619af8bc4103340f 31380 libuutil-dev_8.3~svn226546-1_kfreebsd-i386.deb
 ccbcd3a05f0550dfd027e33cb5bc74d57a078b5326b04ecf13c35cffc9026c39 18390 libuutil1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 a1d42179c489dbeea65353027a88d52a22b922b7ec91fdef63c443552d63a9f2 36530 libnvpair1_8.3~svn226546-1_kfreebsd-i386.deb
 ab4d7c9464fd681a18f7682149ae8992546c58d50b3460697978feb6debe33d9 37348 libnvpair-dev_8.3~svn226546-1_kfreebsd-i386.deb
 6e420bf7dd61a6e0a91c128dbc5eeac0b4e04fa8618003973f73f861a18ca446 24106 libnvpair1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 13899010162e71897c5a2a6d6cb8072b88df4ad8f24355f79ae482d1f7bc3673 140090 libzfs1_8.3~svn226546-1_kfreebsd-i386.deb
 cb82a41ffc453d500f8f5fddf54a7db9e3ce1aa8963691f589a3b81fe54ea2ac 171188 libzfs-dev_8.3~svn226546-1_kfreebsd-i386.deb
 d18bd7d48523ac11d732890f02bc6fece36edc9023808754636a06f42e1cd3b0 127446 libzfs1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 45f8f17dcf1c4e43b5622b099e145c5027ad4b87c4f4a73ada3a7c28de4de7b3 236274 zfsutils_8.3~svn226546-1_kfreebsd-i386.deb
 ef64bc97221b9b96cfcd94458b9a08687df7de6e2458dc3c2457c5aa4eb228c2 80590 zfsutils-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 319a7c5571d87f14aec6ee6e8e9d932a47f1b2561a472952bbe953489d2ae50f 15560 libumem1_8.3~svn226546-1_kfreebsd-i386.deb
 2f9949dd8f4468a0757e63600185bc7fe0f942810886b115fc60f6aea8fb8aaf 14766 libumem-dev_8.3~svn226546-1_kfreebsd-i386.deb
 5634b2cf58a9775c48fe7562b9c2079111309ab655392c9140fbf67b04bd9c5e 3116 libumem1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 3886332f0172baae4bbed36ef0796f92aeac13c59fc2309b141d485981908fc8 555920 libzpool1_8.3~svn226546-1_kfreebsd-i386.deb
 01aecabc1f989b6786cc3388ed615b6a6d4112ef7c8e4b361f3897476c7d4e97 680864 libzpool-dev_8.3~svn226546-1_kfreebsd-i386.deb
 4e1124305d15076b7c4d71ceb316176eff793e5d7bab089a2ac9ada9d5a6f103 543544 libzpool1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
Files: 
 cbd991b0ae495c45f2e1fbd480a57c89 2275 admin optional zfsutils_8.3~svn226546-1.dsc
 f8ca6657056b87d8f6f7ab0e4bdb4d59 1632942 admin optional zfsutils_8.3~svn226546.orig.tar.gz
 e5a421e09ff89f1e0b59311d7377d5ac 55426 admin optional zfsutils_8.3~svn226546-1.debian.tar.gz
 58a927324bbf2bf1ca07bb09713955a4 31060 libs optional libuutil1_8.3~svn226546-1_kfreebsd-i386.deb
 21c4013a1d2be88528b83aed825446c4 31380 libdevel optional libuutil-dev_8.3~svn226546-1_kfreebsd-i386.deb
 730351865d95ceb3e8545974a8953ac3 18390 debian-installer optional libuutil1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 492dde07ee82e520ea53a8ab5d65bd07 36530 libs optional libnvpair1_8.3~svn226546-1_kfreebsd-i386.deb
 b7e76dcd6a30b1cdbc51c214856a1426 37348 libdevel optional libnvpair-dev_8.3~svn226546-1_kfreebsd-i386.deb
 c97a4c9f2354ea3df5dd1ffe278e6c28 24106 debian-installer optional libnvpair1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 71df808aae93e8954fdfb56225569850 140090 libs optional libzfs1_8.3~svn226546-1_kfreebsd-i386.deb
 f3b67a179675cb9ef53cff44f088a83a 171188 libdevel optional libzfs-dev_8.3~svn226546-1_kfreebsd-i386.deb
 84298713da5f942ad6523f917f2c5391 127446 debian-installer optional libzfs1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 e25b12a3a8cb54bd59bdd13b8e0eb29a 236274 admin optional zfsutils_8.3~svn226546-1_kfreebsd-i386.deb
 04f214a53a846761f5b8c70a11587b6b 80590 debian-installer optional zfsutils-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 7cea9baaa8de9d692410287caea658d3 15560 libs optional libumem1_8.3~svn226546-1_kfreebsd-i386.deb
 53b37357a5ef1450b3ced361cb9e9332 14766 libdevel optional libumem-dev_8.3~svn226546-1_kfreebsd-i386.deb
 f4a356635573df25623dbd6f3ab1558b 3116 debian-installer optional libumem1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
 8b84a18a99cc190fd8d03df34f08d01c 555920 libs optional libzpool1_8.3~svn226546-1_kfreebsd-i386.deb
 6209cb7d9b2128c43836e72a3419ea5e 680864 libdevel optional libzpool-dev_8.3~svn226546-1_kfreebsd-i386.deb
 717026bbfa8962e6de39e0771f0f1b22 543544 debian-installer optional libzpool1-udeb_8.3~svn226546-1_kfreebsd-i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6p7bMACgkQC19io6rUCv/ceACZAUg5VcwxeZessPI+fdqJvxPL
FJIAoICZQauRmcVWkIpgyDRNvK6vhAkh
=sK4Q
-----END PGP SIGNATURE-----





Added tag(s) sid and wheezy. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:18:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Aug 2012 07:25:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:48:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.